The OpenNET Project / Index page

[ новости/++ | форум | wiki | теги | ]



"Релиз мультимедийного фреймворка GStreamer 1.14.0"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от opennews on 20-Мрт-18, 12:04 
Увидел свет (https://lists.freedesktop.org/archives/gstreamer-devel/2018-...) релиз  GStreamer 1.14 (http://gstreamer.freedesktop.org/), написанного на языке Си кроссплатформенного набора компонентов для создания широкого спектра мультимедиа приложений, от медиаплееров и конвертеров аудио/видео файлов, до VoIP-приложений и систем потокового вещания. Код GStreamer распространяется под лицензией LGPLv2.1. Одновременно доступны обновления плагинов gst-plugins-base 1.14, gst-plugins-good 1.14, gst-plugins-bad 1.14, gst-plugins-ugly 1.14, а также обвязка gst-libav 1.14 и сервер потокового вещания gst-rtsp-server 1.14. На уровне API и ABI новый выпуск обратно совместим с веткой 1.0. Бинарные сборки в скором времени будут подготовлены (http://gstreamer.freedesktop.org/download/) для Android, iOS, macOS и Windows (в Linux рекомендуется использовать пакеты из дистрибутива).


Ключевые улучшения (http://gstreamer.freedesktop.org/releases/1.14/) GStreamer 1.14:

-  Поддержка технологии WebRTC (https://ru.wikipedia.org/wiki/WebRTC) для организации потокового вещания звука и видео. Разработчикам предложен элемент webrtcbin (https://gstreamer.freedesktop.org/data/doc/gstreamer/head/gs...) и библиотека с поддержкой webrtc, позволяющие интегрировать в приложения возможность установки соединений с другими WebRTC-приложениями и web-браузерами. В приложениях могут использоваться любые другие возможности GStreamer, включая аппаратное ускорение кодирования и декодирования, интеграция с OpenGL, обработка данных без лишней буферизации и поддержка встраиваемых платформ;

-  Экспериментальная поддержка видеокодека нового поколения AV1 (https://www.opennet.ru/opennews/art.shtml?num=47886), который развивается альянсом Open Media, в который входят Google, Microsoft, Apple, Mozilla, Facebook, Amazon, Intel, AMD, ARM, NVIDIA, Netflix и Hulu;


-  Для Video4Linux реализованы кодировщики видео VP8, VP9, MPEG4 и H263. Ускорен процесс определения V4L-устройств;

-  Поддержка протокола потокового видеовещания SRT (Secure Reliable Transport);

-  Поддержка прямой коррекции ошибок (https://ru.wikipedia.org/wiki/%D0%9F%D1%...) для протокола  RTP - FEC (Forward Error Correction);
-  В  rtspsrc и gst-rtsp-server добавлена поддержка протокола RTSP 2.0 и дополнительных потоков со звуком (backchannel (https://en.wikipedia.org/wiki/Backchannel)), описанных в спецификации ONVIF (Open Network Video Interface Forum);

-  В playbin3 добавлена поддержка неразрывного (gapless) воспроизведения и упреждающей буферизации;

-  В tee, механизме разделения/дублирования потоков, повышена эффективность обработки данных и устранена излишняя буферизация (zero-copy);

-  В упаковщике медиаконтейнеров QuickTime (muxer) реализован новый режим записи, позволяющий открывать файлы в Adobe Premiere и FinalCut Pro ещё до окончания их записи;

-  Добавлен новый плагин  nvdec, предоставляющий средства для аппаратного ускорения декодирования видео при помощи  NVIDIA NVDEC API;
-  Добавлена возможность использования trick-режимов (перемотка назад и вперёд на другой скорости) при воспроизведении адаптивных потоков MPEG-DASH;
-  Реализован новый плагин ipcpipeline, позволяющий разделить поток между несколькими процессами;
-  Улучшена поддержка интроспекции GObject в различных частях библиотечного API;

-  Возобновлена разработка биндингов для проектов на языке C#;

-  В неофициальном биндинге для языка Rust реализован охват большей части API.


Среди основных возможностей GStreamer
:


-  Локальное проигрывание контента, обработка потокового вещания и проигрывание DVD;

-  Поддерживаемые видеокодеки: Theora, VP8, VP9, Dirac, MJPEG, h.264, h.265, h.263, MPEG2, MPEG4, WMV/VC1  и т.д.

-  Поддерживаемые аудиокодеки: Vorbis, FLAC, Speex, WavPack, AAC, MP3, WMA, Dolby Digital (AC3), DTS/DCA, AMR NB/WB и т.д.

-  Поддерживаемые мультимедиа контейнеры: Ogg, WebM, Matroska, MP4, Quicktime, AVI, FLV, 3GPP, WAV, Real Media, ASF, MPEG PS/TS и т.д.

-  Поддерживаемые протоколы: работа с локальными файлами, HTTP, Shoutcast/Icecast, HLS, RTSP, RTP и MMS;

-  Интеграция с тулкитами для формирования GUI-интерфейса (GTK+ (http://docs.gstreamer.com/display/GstSDK/Basic+tutorial+5�...), Clutter (http://docs.gstreamer.com/display/GstSDK/Basic+tutorial+15&#...));

-  Автоматическое определение контейнеров и кодеков;

-  Функции извлечения метаданных;

-  Поддержка субтитров;

-  Средства для наглядной визуализации звукового потока;

-  Поддержка переключения на лету между разными потоками со звуком и субтитрами;

-  Перемещение внутри потока по абсолютной позиции;

-  Режимы замедления и ускорения воспроизведения, перемотки в обратном порядке и покадрового просмотра;

-  Автоматическое устранение чересстрочности (деинтерлейсинг), масштабирование и установка цветового баланса;

-  Поддержка проброса сжатого звука;

-  Поддержка функций рендеринга текстур библиотеки    Clutter.


URL: https://lists.freedesktop.org/archives/gstreamer-devel/2018-...
Новость: https://www.opennet.ru/opennews/art.shtml?num=48295

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  –15 +/
Сообщение от Анончик on 20-Мрт-18, 12:04 
Но зачем? Подскажите известные софтины которые используют это
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Anonumous on 20-Мрт-18, 12:07 
Totem (aka Gnome Video Player)
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

52. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от adolfus (ok) on 21-Мрт-18, 11:40 
Он ничего кроме черного экрана не показывает, в отличие от mplayer'а. И звуков музыки не издает. После его случайного запуска звук в ноутбуке пеерстает автоматом мультиплексироваться с динамиков на наушники и обратно при втыкании/извлечения джека и приходится smplayer запускать, чтобы все назад вернуть. А уж интерфейс у этого тотема полный капец. Оcобенно на двухголовой 2x24".
Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

61. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Хряк on 21-Мрт-18, 18:31 
Удивительно, что у тебя вообще что-то работает.
Ответить | Правка | ^ к родителю #52 | Наверх | Cообщить модератору

3. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от foi email on 20-Мрт-18, 12:08 
https://www.archlinux.org/packages/extra/x86_64/gstreamer/
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

4. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +9 +/
Сообщение от сишечка с пюрешечкой on 20-Мрт-18, 12:16 
затем чтобы каждый из пейсателей плееров не городил уже 100500ую реализацию одного и того-же, а просто пользовался готовым
оно местами еще не совсем готово, как допилят, норм будет
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

5. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +5 +/
Сообщение от Аноним (??) on 20-Мрт-18, 12:22 
...как раз к релизу GNU/Hurd
Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

43. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +2 +/
Сообщение от Ne01eX (ok) on 21-Мрт-18, 00:01 
> ...как раз к релизу GNU/Hurd

Да ХЗ, ХЗ. GStreamer хоть и не часть GNOME (живёт и развивается на freedesktop.org), но испытывает очень сильное влияние от GNOME, на самом деле. И хотя GNOME и задумывался как DE для GNU/HURD (ещё во времена, когда GNOME базировался на gtk+1.x имел кучу настроек и был любим всеми), но в свете последних событий (массовое набигание всяких поттерингов в GNOME, которые его безвозвратно искалечили, имхо) это очень большой вопрос - нужен ли Gstreamer в GNU/HURD или проще запилить ещё один фреймворк на xine-lib или ffmpeg. :-D

А то ведь, поттеринги они такие - если руки вовремя не сломать, то и пока ещё православный GStreamer гвоздями к SystemD приколотят. :-D

Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

7. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +10 +/
Сообщение от Аноним (??) on 20-Мрт-18, 12:40 
>чтобы каждый из пейсателей плееров не городил уже 100500ую реализацию одного и того-же, а просто пользовался готовым

И это готовое давно существует и называется FFmpeg.

Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

8. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  –1 +/
Сообщение от Аноним (??) on 20-Мрт-18, 12:42 
А Ненужностример не нужен.
Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

10. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от iZEN (ok) on 20-Мрт-18, 12:44 
> А Ненужностример не нужен.

А ну как ffmpegeшники заартачатся, тогда что?


Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

41. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +1 +/
Сообщение от Онаним on 20-Мрт-18, 23:23 
Вроде специально на таткой случай придумали libav, не?
Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

11. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  –2 +/
Сообщение от Аноним (??) on 20-Мрт-18, 12:46 
FFmpeg больше для перекодирования файлов используется.
Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

13. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Аноним (??) on 20-Мрт-18, 13:02 
Может и так. Это мешает использовать его для других целей?
Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

14. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  –2 +/
Сообщение от Аноним (??) on 20-Мрт-18, 13:05 
только сложность в освоении.
Ответить | Правка | ^ к родителю #13 | Наверх | Cообщить модератору

32. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  –1 +/
Сообщение от Ne01eX (ok) on 20-Мрт-18, 19:27 
> только сложность в освоении.

Разработчики MPlayer так не думают.

+ Для GStreamer есть прокладка для ffmpeg в виде gst-libav.

Ответить | Правка | ^ к родителю #14 | Наверх | Cообщить модератору

73. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Аноним (??) on 24-Мрт-18, 11:03 
GStreamer сам есть прокладка.
Ответить | Правка | ^ к родителю #32 | Наверх | Cообщить модератору

22. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Аноним (??) on 20-Мрт-18, 15:38 
> оно местами еще не совсем готово, как допилят, норм будет

В следующем году 20 лет проекту. И - нет. Эту дырявую кривизну надо выпиливать откуда только можно и как можно скорее.

Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

6. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  –2 +/
Сообщение от Нормальный (ok) on 20-Мрт-18, 12:26 
Firefox
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

9. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +1 +/
Сообщение от iZEN (ok) on 20-Мрт-18, 12:43 
Давно нет.
Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

12. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +2 +/
Сообщение от llolik (ok) on 20-Мрт-18, 12:46 
Они попробовали, переплевались и прикрутили ffmpeg.
Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

74. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +1 +/
Сообщение от Аноним (??) on 24-Мрт-18, 11:08 
Надеюсь, пиджиноразрабы поступят также.
Ответить | Правка | ^ к родителю #12 | Наверх | Cообщить модератору

15. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +1 +/
Сообщение от Аноним (??) on 20-Мрт-18, 13:17 
https://en.wikipedia.org/wiki/Category:Software_that_uses_GS...
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

17. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Аноним (??) on 20-Мрт-18, 13:59 
Скудный список, тут даже pidgin не указан, не говоря про фронтенды вроде libqtwebkit.
Ответить | Правка | ^ к родителю #15 | Наверх | Cообщить модератору

30. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Ne01eX (ok) on 20-Мрт-18, 19:08 
Причём pidgin поддерживает обе ветки. Старая ветка 0.x до сих пор используется в таком бессмертном ПО, как xmms.

gstreamer так же используется:

в tumbler (приблуда для XFCE)
в qt-gstreamer и, как итог - в этих ваших кедах.

Про стопицот видео/аудио выигрывателей я уже молчу.

Ответить | Правка | ^ к родителю #17 | Наверх | Cообщить модератору

75. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Аноним (??) on 24-Мрт-18, 11:13 
>в qt-gstreamer и, как итог - в этих ваших кедах.

А я-то и не знал. Кедоплейеры мультимедию играют, GStreamer'а в системе совсем нет.

Ответить | Правка | ^ к родителю #30 | Наверх | Cообщить модератору

16. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +3 +/
Сообщение от Zenitur (ok) on 20-Мрт-18, 13:47 
Wine поддерживает сборку с gstreamer. В Oblivion из-за этого отваливается воспроизведение музыки, в консоль сыпятся ошибки winegstreamer. Если не собирать Wine с gstreamer, то всё нормально.
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

53. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Аноним (??) on 21-Мрт-18, 11:44 
Неправильно ты Облу запускаешь, Дядя Фёдор. Ты собираешь wine с gstreamer, а надо вообще запускать под виндой.
Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

18. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +2 +/
Сообщение от Аноним (??) on 20-Мрт-18, 14:05 
См. apt-cache rdepends libgstreamer1.0-0 (или аналогичную команду для твоего пакетного менеджера).
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

19. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Crazy Alex (ok) on 20-Мрт-18, 14:28 
Насчёт софти не интересовался. но, как минимум, webrtc без браузера - это хорошо
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

20. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Sunderland93 (ok) on 20-Мрт-18, 14:41 
QtMultimedia
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

76. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Аноним (??) on 24-Мрт-18, 11:18 
QtMultimedia и без него собирается.
Ответить | Правка | ^ к родителю #20 | Наверх | Cообщить модератору

29. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Аноним (??) on 20-Мрт-18, 18:47 
qemu + spice + qxl
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

35. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Stax (ok) on 20-Мрт-18, 20:22 
Quod Libet
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

37. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  –1 +/
Сообщение от Аноним (??) on 20-Мрт-18, 21:36 
Присоединяюсь к вопрочу. Чем он лучше ffmpeg и libav? Ведь не ради конкуренции только создан же. Легко интегрируется в приложения? Какая-то более удобная архитектура проекта?
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

62. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +2 +/
Сообщение от Хряк on 21-Мрт-18, 18:45 
>Чем он лучше ffmpeg и libav?

Gstreamer -это gobject based framework. Соотвественно имеет биндинги ко многим языкам.

var player = new Gst.Player ();

player.set_uri = "https://download.blender.org/durian/trailer/sintel_trailer-4...

player.play ();

попробуй написать аналогичное на libffmpeg и поймешь чем.

Ответить | Правка | ^ к родителю #37 | Наверх | Cообщить модератору

78. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от pripolz on 26-Мрт-18, 17:20 
> Чем он лучше ffmpeg и libav?

1. Ffmpeg - это набор библиотек. Одна читает кадр из контейнера, другая этот кадр декодирует, третья масштабирует, и т.д.
Код, который все это соединяет не является библиотекой. И он конечно же очень хороший, но он не имеет гибкого API на все случаи жизни, это командная утилита.
Хотя в будущем скорее всего это исправят.
Gstreamer же имеет тот код, которого не имеет ффмпег: API на все случаи жизни, который связываыет демухеp с декодером и т.д. Autoplugging например.

2. В тотем плейере например cluttervideosink, который рендерит прямо на GPU. Если декодер тоже на GPU, то тут Gstreamer может то, чего ффмпег не может: избежать перегоняний памяти с GPU на RAM и обратно.

Короче ффмпег очень хорош, но Gstreamer еще более православный.

>  Ведь не ради конкуренции только создан же.

Проекты начаты в одно и то же время примерно.

Ответить | Правка | ^ к родителю #37 | Наверх | Cообщить модератору

23. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  –6 +/
Сообщение от Аноним (??) on 20-Мрт-18, 15:50 
>Ключевые "улучшения" GStreamer 1.14

новые уязвимости.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

25. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  –2 +/
Сообщение от selishii (ok) on 20-Мрт-18, 18:22 
Сабж, т.е предмет хейта, такая же избыточная сущность как и systemd вкупе с pulseaudio. Но в отличие от них пока еще не прибита толстыми гвоздями к современным дистрам.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

27. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +1 +/
Сообщение от Аноним (??) on 20-Мрт-18, 18:34 
но уже прибита гвоздями к современным DE
Ответить | Правка | ^ к родителю #25 | Наверх | Cообщить модератору

33. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Ne01eX (ok) on 20-Мрт-18, 19:52 
> но уже прибита гвоздями к современным DE

Из XFCE откусывается на раз (там только tumbler GStreamer использует). В принципе, при желании (а оно может возникнуть, если не нужна генерация превьюшек файлов в Thunar и на рабочем столе) можно выпилить вместе с tumbler'ом. Но это горячка, имхо. Тeм не менее я неоднократно впиливал-выпиливал поддержку GSTreamer во время тестирования ветки 1.13.x

GStreamer можно впилить в E как альтернативу для libvlc. Примерно для тех же целей. А можно выпилить, как libvlc так и GStreamer. Легко и безболезненно. Делал и то и то.

Чё-каво с KDE не в курске, - я просто выпилил кеды к едреней фене. Сейчас немного ещё пошаманю и Qt к х..м выпилю (нужна мне для одной софтины, думаю пока на что переписать).

Так, что, по большому счёту из совмеренных DE не выкусывается он походу только из GNOME. Да и то, наверное, это не так. Хотя туда сейчас всякие поттергинги набижали, может и действительно на гвозди прибили. От этих долбо..в всего можно ожидать... :-D

Ответить | Правка | ^ к родителю #27 | Наверх | Cообщить модератору

34. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  –2 +/
Сообщение от Аноним (??) on 20-Мрт-18, 20:14 
XFCE даже сразу после очередного релиза раз в N-лет - сложно назвать современным ДЕ, ибо всю жизнь в догоняющих числятся
Ответить | Правка | ^ к родителю #33 | Наверх | Cообщить модератору

38. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +4 +/
Сообщение от Ne01eX (ok) on 20-Мрт-18, 22:02 
> XFCE даже сразу после очередного релиза раз в N-лет - сложно назвать
> современным ДЕ, ибо всю жизнь в догоняющих числятся

И что по вашему они догоняют?

Ответить | Правка | ^ к родителю #34 | Наверх | Cообщить модератору

50. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  –3 +/
Сообщение от Аноним (??) on 21-Мрт-18, 04:16 
Навскидку хотя бы гтк3 и hidpi  - 2018 на дворе.

Но если уж хочется подобным легаси обмазаться на своем калькуляторе - логичнее взять icewm/fluxbox/jwm, чем что-то "откусывать"

Ответить | Правка | ^ к родителю #38 | Наверх | Cообщить модератору

58. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Свитервсоленями on 21-Мрт-18, 14:58 
Чем гтк+3 лучше гтк+2?Увеличенным жором памяти,постоянно ломающимися темами,или кнопками,в которые не промахнёшься со зрением -5 ?
dpi в настройках легко и непринуждённо регулируется.
icewm/fluxbox/jwm с крысой сравнивать некорректно,т.к. последняя таки полноценное DE.
Вы бы с вейпом завязывали,у вас вон хипстер проростает.
Ответить | Правка | ^ к родителю #50 | Наверх | Cообщить модератору

63. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +1 +/
Сообщение от Ne01eX (ok) on 21-Мрт-18, 18:50 
> Навскидку хотя бы гтк3 и hidpi  - 2018 на дворе.
> Но если уж хочется подобным легаси обмазаться на своем калькуляторе - логичнее
> взять icewm/fluxbox/jwm, чем что-то "откусывать"

GTK+2 и GTK+3 это две параллельно существующих библиотеки. Да, у них много общего, включая название, но в корне не верно считать, GTK+3 продолжением GTK+2. Да, у них есть общие разработчики и развиваются они в одной коляске, но неправильно считать GTK+2 устаревшей библиотекой. Она не устаревшая, - она законченная. GTK+3 - это другая библиотека с другим набором виджетов, предназначенная для постоения других интерфейсов и во многом ещё развивающаяся.

Те разработчики, которые предпочитают иметь железобетонно понятный классический интерфейс используют в разработке GTK+2. Это, неожиданно, не только XFCE, осмотритесь повнимательнее. Много кто ещё предпочитают оставаться на GTK+2. Ну из свежих примеров, - Pidgin, например.

Те разработчики, которым нужен интерфейс в стиле... (тут у меня цензурных слов нет, подберите себе слово сами по смыслу :-D ) используют GTK+3. Основной костяк это - разработчики GNOME3. Но если вы выбрали этот путь, то будьте готовы к тому, что завтра всё сломается и будет выглядеть совсем по-другому.

Либерально настроенные разработчики из тех, у кого изначально не было (или был, но они это исправили) бардака в голове и есть чётко написанный по всем понятиям программирования код, предоставляют возможность выбора набора виджетов на этапе сборки из исходных кодов. В дальнейшем всё на совести вендоров дистрибутивов, исходя из поставленных ими задач. Кто-то предоставляет возможность выбора библиотеки, а кому-то это не надо и он использует только одну из них (для определённого ПО).

Чтобы было ещё понятней, то замечу, что здесь вполне допустима аналогия с RPM4 и RPM5, с той лишь разницей, что раскол в RPM произошёл одномоментно, тогда как в сообществе разработчиков GTK+ он ещё идёт.

Для более подробной информации по GTK+2 GTK+3 предлагаю ознакомится со списками рассылки GTK+ и GNOME. Но это очень много текста, на самом деле. За один присест въехать во всю движуху не получится.

Ответить | Правка | ^ к родителю #50 | Наверх | Cообщить модератору

66. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Ne01eX (ok) on 21-Мрт-18, 22:13 
> Навскидку хотя бы гтк3 и hidpi  - 2018 на дворе.
> Но если уж хочется подобным легаси обмазаться на своем калькуляторе - логичнее
> взять icewm/fluxbox/jwm, чем что-то "откусывать"

Кстати, XFCE умеет GTK+3, но тем не менее предоставляет возможность сборки с использованием GTK+2.

Ответить | Правка | ^ к родителю #50 | Наверх | Cообщить модератору

67. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от БСДун on 21-Мрт-18, 23:13 
Ну я вообще,например,при сборке любого софта,если присутствует возможность,выбираю gtk+2 - не только для крысы.Никаких плюсов третьей ветки для юзера не вижу.Было бы вообще чудно,если бы появился форк gtk+2,в котором бы устранили его недостатки и продолжили поддержку.Разработчики гнома,похоже, совсем растеряли остатки адекватности.
Ответить | Правка | ^ к родителю #66 | Наверх | Cообщить модератору

68. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Ne01eX (ok) on 21-Мрт-18, 23:22 
> Ну я вообще,например,при сборке любого софта,если присутствует возможность,выбираю gtk+2
> - не только для крысы.Никаких плюсов третьей ветки для юзера не
> вижу.Было бы вообще чудно,если бы появился форк gtk+2,в котором бы устранили
> его недостатки и продолжили поддержку.Разработчики гнома,похоже, совсем растеряли остатки
> адекватности.

О каких недостатках идёт речь?

Ответить | Правка | ^ к родителю #67 | Наверх | Cообщить модератору

46. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +3 +/
Сообщение от Нехипстер on 21-Мрт-18, 02:58 
В крысе всё просо работает.Без революций аля гномощель или непадающей каждую минуту плазмы.Кого и в чём крыса должна догнать?
Ответить | Правка | ^ к родителю #34 | Наверх | Cообщить модератору

36. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +1 +/
Сообщение от iZEN email(ok) on 20-Мрт-18, 21:23 
>[оверквотинг удален]
> GStreamer можно впилить в E как альтернативу для libvlc. Примерно для тех
> же целей. А можно выпилить, как libvlc так и GStreamer. Легко
> и безболезненно. Делал и то и то.
> Чё-каво с KDE не в курске, - я просто выпилил кеды к
> едреней фене. Сейчас немного ещё пошаманю и Qt к х..м выпилю
> (нужна мне для одной софтины, думаю пока на что переписать).
> Так, что, по большому счёту из совмеренных DE не выкусывается он походу
> только из GNOME. Да и то, наверное, это не так. Хотя
> туда сейчас всякие поттергинги набижали, может и действительно на гвозди прибили.
> От этих долбо..в всего можно ожидать... :-D

% pkg info -x gstre
gstreamer-0.10.36_6
gstreamer-plugins-0.10.36_8,3
gstreamer-plugins-good-0.10.31_3,3
gstreamer1-1.12.3
gstreamer1-plugins-1.12.3
gstreamer1-plugins-bad-1.12.3_1
gstreamer1-plugins-gl-1.12.3

% pkg info -r gstreamer-0.10.36_6
gstreamer-0.10.36_6:
    gstreamer-plugins-0.10.36_8,3
    gstreamer-plugins-good-0.10.31_3,3
    xfce4-volumed-0.1.13_2
    xfce4-mixer-4.11.0_3

% pkg info -r gstreamer1-1.12.3
gstreamer1-1.12.3:
    gstreamer1-plugins-1.12.3
    gstreamer1-plugins-bad-1.12.3_1
    gstreamer1-plugins-gl-1.12.3
    webkit2-gtk3-2.16.6_3
    libreoffice-6.0.2

Ответить | Правка | ^ к родителю #33 | Наверх | Cообщить модератору

39. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Ne01eX (ok) on 20-Мрт-18, 22:45 
>[оверквотинг удален]
>  gstreamer-plugins-good-0.10.31_3,3
>  xfce4-volumed-0.1.13_2
>  xfce4-mixer-4.11.0_3
> % pkg info -r gstreamer1-1.12.3
> gstreamer1-1.12.3:
>  gstreamer1-plugins-1.12.3
>  gstreamer1-plugins-bad-1.12.3_1
>  gstreamer1-plugins-gl-1.12.3
>  webkit2-gtk3-2.16.6_3
>  libreoffice-6.0.2

И чо? У вас используются устаревшие дополнительные аплеты для XFCE, которые тянут 0.x ветку GStreamer (не совсем корректно выразился, кстати. На самом деле на данный момент у этих аплетов нет сопровождающих, которые могли бы запилить поддержку GStreamer-1.x). У себя я их заменил на независимое микро приложение volumeicon. Оно одинаково работает как в XFCE, так и везде (во fluxbox тоже, кстати). Использует только GTK+2.
В качестве дополнительной утилитки можно прикрутить volti, но она на питоне, поэтому для себя я пока остановился на консольном alsamixer вызываемом командой xfce4-terminal -e 'alsamixer' (прописывается в volumeicon). Но я изначально ставил за цель избавится от устаревшей ветки GStreamer. Если вас устраивает текущее положение вещей, то пользуйтесь чем пользуютесь. :-)

Патрик пошёл по пути наименьшего сопротивления и завязал всё на пульсу, кстати, прикрутив xfce4-pulseaudio-plugin. :-\

По ветке 1.x у меня пока так (для платформы i586, на остальных также):

gst-plugins-bad-1.14.0-i586-rtk01
gst-plugins-base-1.14.0-i586-rtk01
gst-plugins-good-1.14.0-i586-rtk01
gst-plugins-libav-1.14.0-i586-rtk01
gst-plugins-ugly-1.14.0-i586-rtk01
gstreamer-1.14.0-i586-rtk01
pidgin-2.13.0-i586-rtk01
tumbler-0.2.0-i586-3

Но на счёт последнего - я ещё думаю что с ним делать. Можно оставить как есть. Можно попробовать запилить поддержку "базовых" библиотек для графики, а видео вообще не трогать. А можно вообще выпилить tumbler к чёртовой бабушке, чтобы XFCE вообще не тянул что ему не нужно. По ходу пьесы разберусь.

Плюсом ещё будет parole и xfburn. Оба приложения оттестированы и пока лежат в сторонке. Не входят в базовую поставку XFCE, кстати. На этом список XFCE4 приложений будет закрыт.

Pidgin, кстати, сам по себе, ни к какому DE, собственно, не привязан.

А вот Midori подымать с колен всяко разно надо (руки только пока не дошли). Но он ведь не часть никакого DE (пока, во всяком случае). в Команде XFCE кричали, ругались, грозились взять его под крыло ещё в версии 0.5.5. Ныне уже вышла 0.5.11, а подвижек никаких... :-\ В общем, к XFCE тоже никаким боком. Равно, как и упомянутый LibreOffice. Так что, повторюсь, - и чо? :-)

Ответить | Правка | ^ к родителю #36 | Наверх | Cообщить модератору

40. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от iZEN email(ok) on 20-Мрт-18, 22:52 
> Так что, повторюсь, - и чо? :-)

А то, что gstreamer-0.10.36 не отключается от xfce4-mixer-4.11.0, xfce4-volumed-0.1.13, а gstreamer1-1.12.3 - от webkit2-gtk3-2.16.6 принципиально. (Кстати, webkit2-gtk3 почему-то нужен Atril, но Evince прекрасно обходится без него).

Ответить | Правка | ^ к родителю #39 | Наверх | Cообщить модератору

42. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Ne01eX (ok) on 20-Мрт-18, 23:44 
>> Так что, повторюсь, - и чо? :-)
> А то, что gstreamer-0.10.36 не отключается от xfce4-mixer-4.11.0, xfce4-volumed-0.1.13,
> а gstreamer1-1.12.3 - от webkit2-gtk3-2.16.6 принципиально. (Кстати, webkit2-gtk3 почему-то
> нужен Atril, но Evince прекрасно обходится без него).

0. Atril - это вообще просмотрщик из MATE. Собственно, - да, Evince это его эквивалент для GNOME. Я сам его раньше использовал, но сейчас он стал слишком много жрать. Если вы используете его только для просмотра PDF, то есть более лёгкая альтернатива - epdfview. Я пока вообще довольствуюсь xpdf и мне его хватает. :-) Я ХЗ, есть ли вообще в природе маложрущие GTK+-only универсальные просмотрщики документов/книг. Ну или какие-нибудь FLTK/FOX/XCB-based. :-\

1. Всё вышеупомянутое вами не часть какого-либо DE. Собственно, раз вы топите за XFCE, то замечу, что XFCE4 это: https://archive.xfce.org/xfce/4.12/src/

2. Из них только tumbler реально завязан на GStreamer и я уже писал, что его можно без каких-либо проблем выпилить.

3. Как решить вашу проблему (если совместное использование устаревшей и современной версий GStreamer для вас проблема) я уже отписал выше. Равно как и поделился некоторыми другими своими мыслями. :-)

В общем, GStreamer - это фреймворк используемый по умолчанию только в GNOME и его форках. Ни к каким другим DE он не привязан и не собирается привязываться. :-)

Но если вы используете рабочее окружение на базе GTK+, то будет лучше, когда он у вас есть, чем когда его нет. Имхо, опять же.

Если это не так и вам только фильмы позырить/музыку послушать, то xine (xine-lib) или MPlayer (ffmpeg) достаточно. Имхо, опять же.

Ответить | Правка | ^ к родителю #40 | Наверх | Cообщить модератору

44. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от iZEN email(ok) on 21-Мрт-18, 00:33 
>[оверквотинг удален]
>> А то, что gstreamer-0.10.36 не отключается от xfce4-mixer-4.11.0, xfce4-volumed-0.1.13,
>> а gstreamer1-1.12.3 - от webkit2-gtk3-2.16.6 принципиально. (Кстати, webkit2-gtk3 почему-то
>> нужен Atril, но Evince прекрасно обходится без него).
> 0. Atril - это вообще просмотрщик из MATE. Собственно, - да, Evince
> это его эквивалент для GNOME. Я сам его раньше использовал, но
> сейчас он стал слишком много жрать. Если вы используете его только
> для просмотра PDF, то есть более лёгкая альтернатива - epdfview. Я
> пока вообще довольствуюсь xpdf и мне его хватает. :-) Я ХЗ,
> есть ли вообще в природе маложрущие GTK+-only универсальные просмотрщики документов/книг.
> Ну или какие-нибудь FLTK/FOX/XCB-based. :-\

Сейчас посмотрел, что мне реально нужно от просмотрщика документов, так это нормально отображать PDF и DJVU.

javadjvu - 11 объектов, всего 274,5 кБ.
PDFRenderer.jar - 1,8 МБ. ;)

> 1. Всё вышеупомянутое вами не часть какого-либо DE. Собственно, раз вы топите
> за XFCE, то замечу, что XFCE4 это: https://archive.xfce.org/xfce/4.12/src/
> 2. Из них только tumbler реально завязан на GStreamer и я уже
> писал, что его можно без каких-либо проблем выпилить.

Но не выпиливается разработчиками. Почему так?

> 3. Как решить вашу проблему (если совместное использование устаревшей и современной версий
> GStreamer для вас проблема) я уже отписал выше. Равно как и
> поделился некоторыми другими своими мыслями. :-)

У меня проблем с совмещением версий GStreamer нету. Просто есть вопрос, насколько их содержание целесообразно? Неужели такая кривая архитектура, что без них никак не обойтись?!

> В общем, GStreamer - это фреймворк используемый по умолчанию только в GNOME
> и его форках. Ни к каким другим DE он не привязан
> и не собирается привязываться. :-)

GStreamer привязан к Xfce4, WebKit-Gtk и LibreOffice.

> Но если вы используете рабочее окружение на базе GTK+, то будет лучше,
> когда он у вас есть, чем когда его нет. Имхо, опять же.

Но зачем? Тумбочки можно делать и через ffmpeg.

Ответить | Правка | ^ к родителю #42 | Наверх | Cообщить модератору

45. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +3 +/
Сообщение от Ne01eX (ok) on 21-Мрт-18, 01:46 
> Сейчас посмотрел, что мне реально нужно от просмотрщика документов, так это нормально
> отображать PDF и DJVU.
> javadjvu - 11 объектов, всего 274,5 кБ.
> PDFRenderer.jar - 1,8 МБ. ;)

+ большая прожорливая JAVA-платформа с вечными утечками памяти и проблемами безопасности. Нет уж, спасибо не надо. Я вот сейчас Zathura нагуглил. Умеет всё (за счёт плагинов), жрёт мало, использует GTK+. Но есть один ньюанс, - vim-like интерфейс управления. Мне - пойдёт, как вам, - не знаю. :-)

>> 1. Всё вышеупомянутое вами не часть какого-либо DE. Собственно, раз вы топите
>> за XFCE, то замечу, что XFCE4 это: https://archive.xfce.org/xfce/4.12/src/
>> 2. Из них только tumbler реально завязан на GStreamer и я уже
>> писал, что его можно без каких-либо проблем выпилить.
> Но не выпиливается разработчиками. Почему так?

1. Так захотели разработчики.
2. xfce4-mixer и xfce4-volumed на текущий момент без майнтенеров. Ими вообще не занимается никто. Ещё раз, большими буквами, - это сторонние приложения для XFCE.
3. Там (во всяком случае для xfce4-mixer и xfce4-volumed) по сути весть код, - обвязка для GStreamer.
4 Я же вам подсказывал уже аналоги, без GStreamer для управления громкостью. volumeicon - решит ваши проблемы.

>[оверквотинг удален]
> У меня проблем с совмещением версий GStreamer нету. Просто есть вопрос, насколько
> их содержание целесообразно? Неужели такая кривая архитектура, что без них никак
> не обойтись?!

Архитектура чего, XFCE, GStreamer?

По XFCE. Выше отписал. xfce4-mixer и xfce4-volumed на текущий момент без майнтенеров. Ими вообще не занимается никто. Ещё раз, большими буквами, - это сторонние приложения для XFCE. Последний раз разработчики прикладывались к xfce4-mixer 10.10.2012, а к xfce4-volumed 3.03.2011. И да, во всех трёх случаях это разные, блин, люди. :-) И да, разработчики XFCE не обязаны заниматься сторонними аплетами. :-)

По GStreamer. Ветке 0.x на данный момент нет никакой нужды. Она больше не развивается. У меня, например, её нет. :-) Из вашего дистрибутива она не выпиливается потому, что майтейнеры Arch посчитали, что будет довольно здорово, когда у пользователей есть возможность воспользоваться приложениями, которые когда-то давно были написаны с использованием GStreamer-0.x, но больше не поддерживаются разработчиками. Типа вышеупомянутых xfce4-mixer, xfce4-volumed или xmms. Ну и опять же, есть же ещё живые и более-менее развивающиеся проекты, которые используют GStreamer, но не успели перейти на новую ветвь. Это либо большие проекты, но развивающиеся небольшим сообществом программистов, либо довольно специфичные и интересные узкому кругу людей.

> Но зачем? Тумбочки можно делать и через ffmpeg.

Кстати, тоже можно, ага.

Ответить | Правка | ^ к родителю #44 | Наверх | Cообщить модератору

59. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +1 +/
Сообщение от Аноним (??) on 21-Мрт-18, 16:30 
Спасибо за подробные объяснения.
Ответить | Правка | ^ к родителю #45 | Наверх | Cообщить модератору

70. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от papa Ken email on 22-Мрт-18, 19:00 

> Плюсом ещё будет parole и xfburn. Оба приложения оттестированы и пока лежат
> в сторонке. Не входят в базовую поставку XFCE, кстати. На этом
> список XFCE4 приложений будет закрыт.

входят Медиаплеер Parole версии 1.0 у меня в дистрибутиве изначально я ставил только gstreamer plugins для поддержки

Ответить | Правка | ^ к родителю #39 | Наверх | Cообщить модератору

71. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от papa Ken email on 22-Мрт-18, 19:05 
>> Плюсом ещё будет parole и xfburn. Оба приложения оттестированы и пока лежат
>> в сторонке. Не входят в базовую поставку XFCE, кстати. На этом
>> список XFCE4 приложений будет закрыт.
> входят Медиаплеер Parole версии 1.0 у меня в дистрибутиве изначально я ставил
> только gstreamer plugins для поддержки

xfburn тоже это Убунту Studio 18/04 Бионик. Может это про предыдущие версии...

Ответить | Правка | ^ к родителю #70 | Наверх | Cообщить модератору

26. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Retrosharer on 20-Мрт-18, 18:34 
> Поддержка прямой коррекции ошибок...

Сколько раз требуется повторить: КОРРЕКЦИЯ ОШИБОК С УПРЕЖДЕНИЕМ.
А ещё лучше - просто ПОМЕХОУСТОЙЧИВОЕ КОДИРОВАНИЕ.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

28. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +1 +/
Сообщение от Аноним (??) on 20-Мрт-18, 18:44 
>> Поддержка прямой коррекции ошибок...
> Сколько раз требуется повторить: КОРРЕКЦИЯ ОШИБОК С УПРЕЖДЕНИЕМ.
> А ещё лучше - просто ПОМЕХОУСТОЙЧИВОЕ КОДИРОВАНИЕ.

Специально для таких как ты в новости поставлена  ссылка на википедию, убедите редакторов википедии поменять терминологию - будут писать по другому. Если уж на то пошло, то правильнее "опережающая коррекция ошибок", но термин уже сложился и корректным переводом в настоящее время "прямая коррекция ошибок".

Ответить | Правка | ^ к родителю #26 | Наверх | Cообщить модератору

31. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Ne01eX (ok) on 20-Мрт-18, 19:13 
В новости не указано, но ряд кодеков, которые раньше жили в ugly и bad перехали в base и good.

P.S. Для Slackware Current GStreamer-1.14.0 уже едет. :-)

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

47. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Аноним (??) on 21-Мрт-18, 03:03 
И как этот плагин nvdec включить? Нужно при сборке что-то сделать? Или что-то установить?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

48. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от 0x0 on 21-Мрт-18, 03:26 
Скорей всего, nvenc доустановить. Зависит от дистрибутива :)
Ответить | Правка | ^ к родителю #47 | Наверх | Cообщить модератору

65. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от рара Кен email on 21-Мрт-18, 21:05 
nvenc входит в состав cuda надо поставить cuda скачав с сайта Nvidia и иметь ffmpeg собранный с поддержкой nvenc либо из исходников либо последнии версии в Ubuntu studio у меня и так и так работает. в состав документации описание и использование енкодера от Nvidia входит (в куде)
Ответить | Правка | ^ к родителю #48 | Наверх | Cообщить модератору

69. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от рара Кен email on 22-Мрт-18, 04:30 
30 кратное ускорение на некоторых, редко падает ниже 20 - вещь реально стоящая. Но! карта либо maxwell, и желательно 2 поколения - это как у меня gtx960 ну а кто - богатый то Паскаль, только не 1050 - там не работает или 1060 или кому денег совсем не жалко gtx1080!
Ответить | Правка | ^ к родителю #65 | Наверх | Cообщить модератору

49. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от 0x0 on 21-Мрт-18, 03:32 
> И как этот плагин nvdec включить? Нужно при сборке что-то сделать? Или
> что-то установить?

Что-то, типа, в таком духе :)
https://negativo17.org/plex-media-player-and-mpv-with-cuda/

Ответить | Правка | ^ к родителю #47 | Наверх | Cообщить модератору

51. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Ne01eX (ok) on 21-Мрт-18, 05:27 
> И как этот плагин nvdec включить? Нужно при сборке что-то сделать? Или
> что-то установить?

https://github.com/GStreamer/gst-plugins-bad/blob/master/sys...

Ответить | Правка | ^ к родителю #47 | Наверх | Cообщить модератору

54. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Necrogrinder (ok) on 21-Мрт-18, 12:10 
4. Now that the dependencies are sorted, there are a couple of
environment variables and/or or configure arguments that are needed to
detect the necessary libraries/headers.

Я, например, ничего из этого не понял. Где мне найти эти environment variables and/or or configure argument...

Ответить | Правка | ^ к родителю #51 | Наверх | Cообщить модератору

55. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от 0x0 on 21-Мрт-18, 13:05 
В репах своего и дистра или где-то здесь:

https://developer.nvidia.com/nvidia-video-codec-sdk

Ответить | Правка | ^ к родителю #54 | Наверх | Cообщить модератору

57. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от Necrogrinder (ok) on 21-Мрт-18, 14:17 
Это всё установлено. Мне при сборке какой-то флаг выставить, или переменную какую-то задать где-то? Вообще не ясно.
Ответить | Правка | ^ к родителю #55 | Наверх | Cообщить модератору

64. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от 0x0 on 21-Мрт-18, 19:29 
При сборке флаг, скорее всего, надо какой-то. Это в docs к исходникам заглядывать надо.
Ответить | Правка | ^ к родителю #57 | Наверх | Cообщить модератору

56. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от 0x0 on 21-Мрт-18, 13:50 
В принципе, не так уж и много карточек, которые это поддерживают :)

https://developer.nvidia.com/video-encode-decode-gpu-support...

Ответить | Правка | ^ к родителю #54 | Наверх | Cообщить модератору

72. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +/
Сообщение от papa Ken email on 22-Мрт-18, 19:23 
> В принципе, не так уж и много карточек, которые это поддерживают :)
> https://developer.nvidia.com/video-encode-decode-gpu-support...

Ну вот у меня gm206 соответств карте gtx960 - там где все хорошо!
надо выбирать где все поддержи в "да"!!!

Ответить | Правка | ^ к родителю #56 | Наверх | Cообщить модератору

60. "Релиз мультимедийного фреймворка GStreamer 1.14.0"  +1 +/
Сообщение от Michael Shigorin email(ok) on 21-Мрт-18, 16:33 
aris@ его оформил будто специально к сегодняшним регуляркам: http://git.altlinux.org/tasks/archive/done/_197/202559/ :)
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема


  Закладки на сайте
  Проследить за страницей
Created 1996-2018 by Maxim Chirkov  
ДобавитьПоддержатьВебмастеруГИД  
Hosting by Ihor